For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search registered devices

Search Registered devices

Required permissions: DEVICE

post
/tenants/{tenantUid}/devices/search
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring Ā· enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
namestringOptional
deviceIdentifierstringOptionalPattern: ^[A-Za-z0-9-_]*
querystringOptional
appCodestring Ā· enumOptional
EnumDescription
CLIENTFlow Retail Client
ASSISTANTFlow Retail Assistant
UNKNOWNNo specific app
Possible values:
Responses
200

Example response

application/json
post/tenants/{tenantUid}/devices/search
POST /v2/tenants/{tenantUid}/devices/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "name": "text",
  "deviceIdentifier": "text",
  "query": "text",
  "appCode": "CLIENT",
  "statuses": [
    "ACTIVE"
  ]
}
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "deviceUid": "text",
      "identifier": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastActivityAt": "2026-01-01T00:00:00.000Z",
      "lastTenantUserUid": "text",
      "name": "text",
      "systemInformation": "text",
      "status": "ACTIVE",
      "store": {
        "name": "text",
        "storeUid": "text",
        "organizationUid": "text"
      },
      "deviceLinkCode": "text",
      "lastOrderUid": "text",
      "till": {
        "tillUid": "text",
        "name": "text",
        "tillNumber": 1
      },
      "appCode": "CLIENT",
      "appVersion": "text",
      "settings": [
        {
          "key": "text",
          "value": "text",
          "type": "STRING",
          "allowedValues": [
            "text"
          ],
          "validationRegex": "text",
          "name": "text",
          "required": true
        }
      ],
      "printers": [
        {
          "printerUid": "text",
          "name": "text",
          "type": "LABEL",
          "availablePrintActions": [
            "RECEIPT"
          ]
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?